#ifndef PDATA_H
#define PDATA_H
#include <qsize.h>

class PData
{

public:
    PData(uchar *data, QSize size);
    ~PData();

public:
    int width,height;
    uchar *dataMatrix;
    uchar *aoiDataMatrix;
    double *projection;
    double *filteredProjection;
    double *gaussianData;
    void selectAoi(int x,int y,int width, int height);
    void calcProjection();
    double *lowPass();
    int getWidth();
    int getHeight();
    double maximum();
    double firstMoment();
    double twoSigma();
    double integral();
    double *gaussian();
    double slope,offs;
    bool   subOffset;
    bool   filterData;

private:
    int xLow,xHigh;
};

#endif // PDATA_H
