#ifndef PIMAGE_H
#define PIMAGE_H

#include <QLabel>
#include <QMouseEvent>
#include <QPainter>
#include <QObject>
#include <qevent.h>

class PImage : public QLabel
{
    Q_OBJECT
public:
    PImage(QWidget *parent = 0);
    void mousePressEvent(QMouseEvent *evt);
    void mouseReleaseEvent(QMouseEvent *evt);
    void mouseMoveEvent(QMouseEvent *evt);
    void paintEvent(QPaintEvent *evt);
    void setPixmap(QPixmap m_pixmap);
    QRect getAoi();


signals:
        void resetPixmap();

private:
        QPixmap m_pixmap;
        int	x1,y1,x2,y2;
        bool	doDraw;
};

#endif // PIMAGE_H
